OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.SeparateShaderObjects

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSeparateShaderObjects :: MonadIO m => m Bool
- gl_ARB_separate_shader_objects :: Bool
- gl_ACTIVE_PROGRAM :: GLenum
- gl_ALL_SHADER_BITS :: GLbitfield
- gl_FRAGMENT_SHADER_BIT :: GLbitfield
- gl_GEOMETRY_SHADER_BIT :: GLbitfield
- gl_PROGRAM_PIPELINE_BINDING :: GLenum
- gl_PROGRAM_SEPARABLE :: GLenum
- gl_TESS_CONTROL_SHADER_BIT :: GLbitfield
- gl_TESS_EVALUATION_SHADER_BIT :: GLbitfield
- gl_VERTEX_SHADER_BIT :: GLbitfield
- glActiveShaderProgram :: MonadIO m => GLuint -> GLuint -> m ()
- glBindProgramPipeline :: MonadIO m => GLuint -> m ()
- glCreateShaderProgramv :: MonadIO m => GLenum -> GLsizei -> Ptr (Ptr GLchar) -> m GLuint
- glDeleteProgramPipelines :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenProgramPipelines :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetProgramPipelineInfoLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetProgramPipelineiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsProgramPipeline :: MonadIO m => GLuint -> m GLboolean
- glProgramUniform1d :: MonadIO m => GLuint -> GLint -> GLdouble -> m ()
- glProgramUniform1dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform1f :: MonadIO m => GLuint -> GLint -> GLfloat -> m ()
- glProgramUniform1fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform1i :: MonadIO m => GLuint -> GLint -> GLint -> m ()
- glProgramUniform1iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform1ui :: MonadIO m => GLuint -> GLint -> GLuint -> m ()
- glProgramUniform1uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform2d :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> m ()
- glProgramUniform2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform2f :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> m ()
- glProgramUniform2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform2i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform2iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform2ui :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> m ()
- glProgramUniform2uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform3d :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramUniform3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform3f :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramUniform3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform3i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform3iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform3ui :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramUniform3uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform4d :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramUniform4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform4f :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramUniform4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform4i :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform4iv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform4ui :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramUniform4uiv :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniformMatrix2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix2x3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2x3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix2x4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2x4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3x2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3x2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3x4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3x4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4x2dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4x2fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4x3dv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4x3fv :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUseProgramStages :: MonadIO m => GLuint -> GLbitfield -> GLuint -> m ()
- glValidateProgramPipeline :: MonadIO m => GLuint -> m ()

# Extension Support

glGetARBSeparateShaderObjects :: MonadIO m => m Bool

Is the ARB_separate_shader_objects extension supported?

gl_ARB_separate_shader_objects :: Bool

Is the ARB_separate_shader_objects extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSeparateShaderObjects` in those cases instead.

# Enums

gl_ACTIVE_PROGRAM :: GLenum

gl_ALL_SHADER_BITS :: GLbitfield

gl_FRAGMENT_SHADER_BIT :: GLbitfield

gl_GEOMETRY_SHADER_BIT :: GLbitfield

gl_PROGRAM_PIPELINE_BINDING :: GLenum

gl_PROGRAM_SEPARABLE :: GLenum

gl_TESS_CONTROL_SHADER_BIT :: GLbitfield

gl_TESS_EVALUATION_SHADER_BIT :: GLbitfield

gl_VERTEX_SHADER_BIT :: GLbitfield

# Functions

glActiveShaderProgram

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLuint | `program`.
-> m () |

Manual page for OpenGL 4.x.

glBindProgramPipeline

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> m () |

Manual page for OpenGL 4.x.

glCreateShaderProgramv

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `strings` pointing to `count` elements of type `Ptr GLchar`.
-> m GLuint |

Manual page for OpenGL 4.x.

glDeleteProgramPipelines

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `pipelines` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glGenProgramPipelines

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `pipelines` pointing to `n` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramPipelineInfoLog

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `infoLog` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetProgramPipelineiv

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glIsProgramPipeline

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 4.x.

glProgramUniform1d

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> m () |

glProgramUniform1dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `1` element of type `GLdouble`.
-> m () |

glProgramUniform1f

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `1` element of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1i

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1iv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `1` element of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1ui

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform1uiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2d

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> GLdouble | `v1`.
-> m () |

glProgramUniform2dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `2` elements of type `GLdouble`.
-> m () |

glProgramUniform2f

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `2` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2i

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2iv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `2` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2ui

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform2uiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `2` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3d

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> GLdouble | `v1`.
-> GLdouble | `v2`.
-> m () |

glProgramUniform3dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `3` elements of type `GLdouble`.
-> m () |

glProgramUniform3f

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `3` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3i

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3iv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `3` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3ui

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform3uiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `3` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4d

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `v0`.
-> GLdouble | `v1`.
-> GLdouble | `v2`.
-> GLdouble | `v3`.
-> m () |

glProgramUniform4dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramUniform4f

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> GLfloat | `v3`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4i

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> GLint | `v3`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4iv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `4` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4ui

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> GLuint | `v3`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniform4uiv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `4` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix2dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `2` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `2` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix2x3dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2x3fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix2x4dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2x4fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix3dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `3` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `3` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix3x2dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3x2fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix3x4dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3x4fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix4dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `4` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix4x2dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4x2fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glProgramUniformMatrix4x3dv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4x3fv

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 4.x.

glUseProgramStages

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> GLbitfield | `stages`.
-> GLuint | `program`.
-> m () |

Manual page for OpenGL 4.x.

glValidateProgramPipeline

Arguments

:: MonadIO m |
=> GLuint | `pipeline`.
-> m () |

Manual page for OpenGL 4.x.